classification
Title: bolen-dmg-3.x build-installer.py failed
Type: Stage: resolved
Components: macOS Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, ned.deily, ronaldoussoren, vstinner
Priority: normal Keywords:

Created on 2017-06-29 15:30 by vstinner, last changed 2017-07-03 13:20 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2516 merged inada.naoki, 2017-06-30 16:23
Messages (4)
msg297277 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-29 15:30
It may be related to bpo-29585, see commits:

- a8f8d5b4bd30dbe0828550469d98f12d2ebb2ef4
- b01c574ad6d796025152b5d605eceb7816e6f7a7
- 6b42eb17649bed9615b6e6cecaefdb2f46990b2c

http://buildbot.python.org/all/builders/bolen-dmg-3.x/builds/209/steps/compile/logs/stdio

...
gcc-4.0 -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -g -L/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/dmg/libraries/usr/local/lib  -Wl,-stack_size,1000000  -framework CoreFoundation Python.framework/Versions/3.7/Python -o python.exe Programs/python.o  -ldl  -framework CoreFoundation     
DYLD_FRAMEWORK_PATH=/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/dmg/_bld/python ./python.exe -E -S -m sysconfig --generate-posix-vars ;\
if test $? -ne 0 ; then \
	echo "generate-posix-vars failed" ; \
	rm -f ./pybuilddir.txt ; \
	exit 1 ; \
fi
gcc-4.0 -c  -fno-strict-aliasing -Wsign-compare -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -g -I/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/dmg/libraries/usr/local/include   -std=c99 -Wextra -Wno-unused-parameter -Wno-missing-field-initializers  -IObjects -IInclude -IPython -I. -I/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Include -isysroot /Developer/SDKs/MacOSX10.4u.sdk    -DPy_BUILD_CORE -o Modules/_math.o /Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Modules/_math.c
  File "/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Mac/BuildScript/build-installer.py", line 1643, in <module>
    main()
  File "/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Mac/BuildScript/build-installer.py", line 1596, in main
    buildPython()
  File "/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Mac/BuildScript/build-installer.py", line 1146, in buildPython
    runCommand("make")
  File "/Users/db3l/buildarea.dmg/bolen-dmg-3.x/build/Mac/BuildScript/build-installer.py", line 531, in runCommand
    raise RuntimeError("command failed: %s"%(commandline,))
RuntimeError: command failed: make
program finished with exit code 1
elapsedTime=1419.113943
msg297428 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-06-30 16:25
Sorry, It seems I failed to merge local patch.
msg297436 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-30 17:38
New changeset 5e742fa922ea70131b4c63451c87cf0347532806 by Victor Stinner (INADA Naoki) in branch 'master':
bpo-30804: fix macOS build with framework enabled. (#2516)
https://github.com/python/cpython/commit/5e742fa922ea70131b4c63451c87cf0347532806
msg297437 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-30 17:38
Naoki: "How about adding --enable-framework on mac environment of Traivs?"

I like the idea. Can you please propose a PR?
History
Date User Action Args
2017-07-03 13:20:40vstinnersetstatus: open -> closed
resolution: fixed
stage: resolved
2017-06-30 17:38:44vstinnersetmessages: + msg297437
2017-06-30 17:38:04vstinnersetmessages: + msg297436
2017-06-30 16:25:57inada.naokisetmessages: + msg297428
2017-06-30 16:23:43inada.naokisetpull_requests: + pull_request2586
2017-06-30 15:22:58vstinnersetnosy: + inada.naoki
2017-06-29 15:30:53vstinnercreate